Bug 53733 - CS8920 Ethernet Adapter not correctly detected
Summary: CS8920 Ethernet Adapter not correctly detected
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 9
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-09-17 12:59 UTC by Avi Alkalay
Modified: 2008-08-01 16:22 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 15:39:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Avi Alkalay 2001-09-17 12:59:07 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 95)

Description of problem:
Kudzu is assigning wrong device type and driver for this board

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Put this ethernet board in your system
2. Boot and let kudzu detect it
3. Look bizarre things in /etc/sysconfig/hwconf and /etc/modules.conf
	

Actual Results:  In /etc/sysconfig/hwconf I found:
------------------>8------------------------
class: AUDIO
bus: ISAPNP
detached: 0
driver: cs4232
desc: "CS8920 Ethernet Adapter:Unknown"
deviceId: CSC6040
pdeviceId: CSC6040
native: 0
active: 0
cardnum: 0
logdev: 0
mem: 0x0,0x200
------------------>8------------------------



Doing 'cat /proc/isapnp' I got:
------------------>8------------------------
Card 1 'CSC6040:CS8920 Ethernet Adapter' PnP version 1.0 Product version 
1.0
  Logical device 0 'CSC6040:Unknown'
    Supported registers 0x2
    Device is not active
    Active memory ,0x200
    Resources 0
      Priority preferred
      Port 0x200-0x360, align 0xf, size 0x10, 16-bit address decoding
      IRQ 3,4,5,6,7,2/9,10,11,12,14,15 High-Edge
------------------>8------------------------


I don't have /etc/modules.conf anymore, but I remember kudzu wrote there 
wrong driver assosiations.



Expected Results:  This is a ISA ethernet card, and not a sound card. 
In /etc/sysconfig/hwconf we should expect this:
------------------>8------------------------
class: NETWORK
bus: ISAPNP
detached: 0
driver: cs89x0
desc: "CS8920 Ethernet Adapter:Unknown"
------------------>8------------------------

/lib/modules/<version>/kernel/drivers/net/cs89x0.o is the correct driver 
for this board.





Additional info:

Anyway, this driver is not working well. The README files say you must 
boot with a DOS bootable disk with a Cirrus software, to configure this 
board in no-PnP mode.
After doing this, the driver still didn't worked for me.
Check http://www.cirrus.com/Drivers/ethernet/ethernet.cfm

Comment 1 Bill Nottingham 2002-01-04 03:20:13 UTC
The fix to not detect it as a sound card will be in kudzu-0.99.41-1.

As for automatically configuring it, kudzu won't do that until isapnp support is
added to the driver. Assigning to the kernel, as that's where that work would
have  to be (and also where bug reports about the driver not working would go.).

Comment 2 Bugzilla owner 2004-09-30 15:39:10 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.